/* ---- Baseline ---- */

@font-face {
  font-family: 'OSGroteskUrban';
  src: url(../fonts/OSGroteskUrban-F.otf) format('openType');
  font-style: normal;
  font-weight: normal;
}

:root {
    --content-width: 65rem;
    --bg-color: #f9f9f9;
    --text-color: #101010;
    --timeline-font-size: 6.16px;
    --dot-size: 6px;
  }
  
  *,
  *:after,
  *:before{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
  html {
    font-family: 'OSGroteskUrban', -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";;
      border: none !important;
      background: var(--bg-color);
    }
  
  li {
    list-style: none;
  }
  
  a {
    color: currentColor;
    text-decoration: none;
  }
  
  strong, b {
    font-weight: 500;
  }
  
  img,
  video {
    width: 100%;
  }

  h1 {
    font-size: 5rem;
    line-height: 1;
  }

  /* ------------ Timeline ------------- */

  /* ---- Resets ---- */
  
  .vis-item {
    background: initial !important;
    border: initial !important;
    padding: calc(var(--timeline-font-size) / 8) !important;
  }
  
  .vis-timeline {
    border: none !important;
    /* background: var(--bg-color) !important; */
    z-index: 1001;
  }
  
  .vis-time-axis .vis-grid.vis-minor {
    border-left: none !important;
  }
  
  .vis-time-axis .vis-text {
    color: #000000 !important;
  }

  /* ---- Style ---- */

  div#visualization {
    height: calc(100vh - 5rem);
    opacity: 0;
    transition: opacity 250ms linear;
    z-index: 1;
  }

/* 
  .vis-tooltip {
    left: 1rem !important;
    top: 0 !important;
    border: none !important;
    background: var(--bg-color) !important;
    box-shadow: none !important;
    font-family: inherit !important;
  }
  .vis-tooltip h1 {
    font-weight: 400 !important;
  } */

    
  .vis-item.vis-point {
    cursor: pointer;
    border-radius: 1rem !important;
  }
    
  .vis-item.vis-dot {
    display: none;
  }

  .vis-timeline:first-of-type .vis-itemset .vis-background, .vis-timeline:first-of-type .vis-itemset .vis-foreground {
    margin-top: 1.25rem;
  }
  
  
  
  /* .vis-item.vis-background {
    background-color: inherit !important;
    border: none;
  } */
  
  /* .vis-item.vis-background .vis-item-content {
    border: 1px solid;
    width: 100%;
  } */
  
  .vis-panel.vis-bottom, .vis-panel.vis-center, .vis-panel.vis-left, .vis-panel.vis-right, .vis-panel.vis-top {
    border: none !important;
  }
  
  .vis-item-content span:last-child {
    display: none;
  }
  
  .expanded .vis-item-content span:last-child {
    display: initial;
  }
  
  .vis-item.vis-range:not(.period) .vis-item-content {
    display: contents !important;
  }
  
  .vis-item .vis-item-content div {
    overflow: hidden;
    text-overflow: ellipsis;
    padding: calc(var(--timeline-font-size) / 3);
    font-size: var(--timeline-font-size);
  }
  
  .vis-item.vis-range .vis-item-content div {
    background: none;
    border: none;
    color: var(--text-color);
    cursor: pointer;
    border-radius: 20px !important;
    /* min-width: 20px; */
  }
  
  .vis-item.image .vis-item-content div {
    border: 1px solid black;
    border-radius: 20px;
  }

  .vis-timeline:first-child .vis-year1969::after {
    content: "Operation Breakthrough";
    display: block;
    font-size: 12px;
    position: absolute;
    bottom: 0;
    left: 10px;
  }
  
  .vis-item.vis-range.period {
    background: linear-gradient(
  to bottom,
  var(--bg-color),
  var(--bg-color) 48%,
  var(--text-color) 48%,
  var(--text-color) 52%,
  var(--bg-color) 52%,
  var(--bg-color)
) !important;
    border-right: 1px var(--text-color) solid !important;
    color: var(--text-color);
    margin-top: 10px;
    border-radius: 0px !important;
    cursor: initial;
    font-size: 16px;
    /*! border-bottom: hidden; */
    /* border-left: 2px var(--text-color) solid !important; */
    /*! background: var(--bg-color) !important; */
    padding-left: 0 !important;
  }

  .vis-item.vis-range.period .vis-item-content {
  background-color: var(--bg-color);
  padding: 0 5px;
}
  
  /* .vis-panel.vis-left {
    display: none;
  } */

  .vis-time-axis {
    font-size: 32px;
  }

  .vis-time-axis.vis-foreground {
    background-color: var(--bg-color);
  }

  .vis-foreground .vis-group {
    border-bottom: none !important;
  }

  
  .vis-item.vis-selected .vis-item-content div {
    background: var(--text-color);
    color: var(--bg-color);
  }

  .dots .vis-item:not(.period) {
    padding: 2px !important;
  }
  
  .dots .vis-item:not(.period) .vis-item-overflow {
    /* overflow: initial !important; */
  }
  
  .dots .vis-item:not(.period) .vis-item-content {
    /* background: var(--text-color) !important; */
    min-width: unset;
    width: var(--dot-size);
    height: calc(var(--dot-size) * 1.25);
    display: inline-block !important;
    border-radius: 10px;
    padding: 0;
    border: 1px solid;
  }
  
  .dots .vis-item:not(.period) .vis-item-content * {
    display: none;
  }

  .vis-custom-time {
    pointer-events: none;
    background-color: var(--text-color) !important;
    color: var(--bg-color);
    width: 1px !important;
  }

  .vis-custom-time > .vis-custom-time-marker {
    font-size: 16px !important;
    background-color: var(--bg-color) !important;
    border: 1px solid black !important;
    border-top: none !important;
    color: var(--text-color) !important;
  }
  /* ---- Lightbox ---- */
  
  .basicLightbox {
    justify-content: start;
    align-items: start;
    padding: 1rem;
    display: flex;
    /* grid-template-columns: 2fr 1fr 1fr; */
    width: 100%;
    gap: 3rem;
    /* color: blue; */
    background: #f9f9f994;
    backdrop-filter: blur(15px);
  }
  
  .basicLightbox.textbox {
    height: auto;
  }
  
  .basicLightbox h1 {
    font-weight: 400;
  }
  
  .basicLightbox__placeholder {
    max-width: 50vw;
    width: 100%;
    transform: scale(1);
    transition-duration: 0.2s;
    display: contents;
  }
  
  .basicLightbox article {
    display: contents;
  }
  
  .basicLightbox dt {
    display: none;
  }
  
  .basicLightbox img {
    max-width: 100%;
    max-height: 100%;
    bottom: 0;
    left: 0;
    margin: auto;
    overflow: auto;
    position: fixed;
    right: 0;
    top: 0;
    -o-object-fit: contain;
    object-fit: contain;
    pointer-events: none;
  }
  
  .basicLightbox span.french {
    font-style: oblique;
  }
  
  .basicLightbox dd.french {
    margin-bottom: 1rem;
    margin-left: 1rem;
  }
  
  
  /* ---- Swiper ---- */
  /* ---- Swiper ---- */
  
  .tags {
    overflow: scroll;
    padding: 2rem 1rem 1rem 1rem;
  }
  
  input{
    outline: none;
    background: none;
    box-shadow: none;
    border: none;
    cursor: pointer;
    padding-left: 0.5rem;
  }
  
  .tags::-webkit-scrollbar {
    display: none;
  }
  .tags {
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
    position: relative;
  }

  .tags::after {
    background: linear-gradient(90deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 50%, var(--bg-color) 100%);
    width: 300px;
    position: absolute;
    top: 10px;
    right: 0;
    height: 100%;
    display: block;
    content: "";
    z-index: 10000000;
  }
  
  .tags ul li a{
    word-break: keep-all;
    padding: 0.8rem 1rem;
    border: 1px var(--text-color) solid;
    border-radius: 2rem;
    margin-right: 0.5rem;
  }
  .tags ul li a.active{
    background: var(--text-color);
    color: white;
    border: none;
    /* border: 1px var(--dark-grey) solid; */
  }
  
  .tags .swiper-slide{
    width: unset;
    height: unset;
  }
  .tags .swiper-wrapper{
    height: unset;
    padding-right: 1rem;
  }

  /* ---- Nice Select ---- */
  
  aside.filtering {
    display: flex;
    gap: 1rem;
    padding: 0 1rem 0 0;
  }

  select {
    display: none;
  }

  .active .nice-select {
    background-color: var(--text-color);
    color: var(--bg-color);
  }
  .active .nice-select::after {
    border-bottom: 1px solid var(--bg-color);
    border-right: 1px solid var(--bg-color);
  }
  .active .nice-select-dropdown {
    color: var(--text-color);
  }